Bug 884768 - CCS edits existing objects even using add option
CCS edits existing objects even using add option
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
2.2
Unspecified Unspecified
medium Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 12:05 EST by Lubos Trilety
Modified: 2013-03-19 12:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-12-06 12:05:44 EST
Description of problem:
condor_configure_store now changes objects even when '-a' option is used.

Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.4-1

How reproducible:
100%

Steps to Reproduce:
1. e.g. prepare following parameter in store:
# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Modifying the following parameter: PAR with {:kind=>"first", :description=>"first_desc", :default_val=>"first_value", :needsRestart=>false, :level=>0, :must_change=>false}
Modifying the following parameter: PAR with {:annotation=>"test"}

# ccs -l -p PAR
Console Connection Established...
PAR
  kind:  "first"
  default:  "first_value"
  description:  "first_desc"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  "test"

2. try to add a parameter with the same name to the store, (in editing instead of first use second)
# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Couldn't create parameter PAR (Parameter name PAR is already taken)
warning: AddParam returned non-zero
Modifying the following parameter: PAR with {:kind=>"second", :description=>"second_desc", :default_val=>"second_value", :needsRestart=>false, :level=>0, :must_change=>false}
Modifying the following parameter: PAR with {:annotation=>"test"}

3. list the parameter
# ccs -l -p PAR
Console Connection Established...
PAR
  kind:  "second"
  default:  "second_value"
  description:  "second_desc"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  "test"
  
Actual results:
object (in scenario parameter PAR) was changed

Expected results:
no change, no call of ModifyParam

Additional info:
Comment 2 Robert Rati 2012-12-12 14:00:42 EST
ccs-add will check the existance of a param before editing.

Fixed upstream on:
BZ884768-check-before-add
Comment 4 Lubos Trilety 2013-01-10 09:48:19 EST
Tested with:
condor-wallaby-tools-5.0.5-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

# ccs -a -p PAR
Console Connection Established...
Adding the following parameter: PAR with {}
Modifying the following parameter: PAR with {:kind=>"first", :description=>"first_desc", :default_val=>"first_val", :needsRestart=>false, :level=>0, :must_change=>false}
Modifying the following parameter: PAR with {:annotation=>"test"}

# ccs -a -p PAR
Console Connection Established...
fatal:  Parameter(s) PAR already exist

>>> verified

Note You need to log in before you can comment on or make changes to this bug.